Bug 590495 - [abrt] crash in exaile-0.3.1.1-1.fc12: _library.py:239:__unregister:AttributeError: 'SongLibrarian' object has no attribute 'libraries'
Summary: [abrt] crash in exaile-0.3.1.1-1.fc12: _library.py:239:__unregister:Attribute...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7a2bf43f
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-09 21:11 UTC by k.weiz
Modified: 2010-12-03 14:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:53:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (542 bytes, text/plain)
2010-05-09 21:11 UTC, k.weiz
no flags Details

Description k.weiz 2010-05-09 21:11:25 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment: Happen sometimes.
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.32.11-99.fc12.x86_64
package: exaile-0.3.1.1-1.fc12
reason: _library.py:239:__unregister:AttributeError: 'SongLibrarian' object has no attribute 'libraries'
release: Fedora release 12 (Constantine)

backtrace
-----
_library.py:239:__unregister:AttributeError: 'SongLibrarian' object has no attribute 'libraries'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/quodlibet/library/_library.py", line 239, in __unregister
    del(self.libraries[name])
AttributeError: 'SongLibrarian' object has no attribute 'libraries'

Local variables in innermost frame:
self: <SongLibrarian object at 0x54d2e10 (uninitialized at 0x0)>
name: 'main'
library: <SongFileLibrary object at 0x54a7a50 (quodlibet+library+_library+Library at 0x57f4960)>

How to reproduce
-----
1. play music
2. quit exaile without stop the track

Comment 1 k.weiz 2010-05-09 21:11:28 UTC
Created attachment 412678 [details]
File: backtrace

Comment 2 Sandro Janke 2010-05-15 08:35:49 UTC
Package: exaile-0.3.1.1-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
I was editing meta information (IDv3) using the Ex Falso plugin

Comment 3 Fedora Update System 2010-06-29 16:34:36 UTC
exaile-0.3.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 4 Fedora Update System 2010-06-30 15:15:06 UTC
exaile-0.3.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12

Comment 5 Bug Zapper 2010-11-03 15:14:21 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 14:53:10 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.